Package org.opensaml.xmlsec.encryption

# Interface EncryptionProperties

All Superinterfaces:
  `XMLObject`

All Known Implementing Classes:
  `EncryptionPropertiesImpl`

public interface EncryptionProperties extends XMLObject
XMLObject representing XML Encryption, version 20021210, EncryptionProperties element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`ID_ATTRIB_NAME`
ID attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<EncryptionProperty>`
`getEncryptionProperties()`
Get the list of EncryptionProperty child elements.
`String`
`getID()`
Get the ID attribute that uniquely identifies this element.
`void`
`setID(String newID)`
Set the ID attribute that uniquely identifies this element.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### ID_ATTRIB_NAME

@Nonnull @NotEmpty static final String ID_ATTRIB_NAME
ID attribute name.

See Also:
  - Constant Field Values

## Method Details

### getID

@Nullable String getID()
Get the ID attribute that uniquely identifies this element.

Returns:
  ID attribute

### setID

void setID(@Nullable String newID)
Set the ID attribute that uniquely identifies this element.

Parameters:
  `newID` - the new ID attribute value

### getEncryptionProperties

@Nonnull @Live List<EncryptionProperty> getEncryptionProperties()
Get the list of EncryptionProperty child elements.

Returns:
  the List of EncryptionProperty child elements